// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import java.rmi.RemoteException;

import javax.xml.namespace.QName;
import javax.xml.rpc.JAXRPCException;
import javax.xml.rpc.handler.HandlerChain;

import com.sun.xml.rpc.client.SenderException;
import com.sun.xml.rpc.client.StreamingSenderState;
import com.sun.xml.rpc.client.http.HttpClientTransport;
import com.sun.xml.rpc.encoding.CombinedSerializer;
import com.sun.xml.rpc.encoding.InternalTypeMappingRegistry;
import com.sun.xml.rpc.encoding.SOAPDeserializationContext;
import com.sun.xml.rpc.encoding.SOAPDeserializationState;
import com.sun.xml.rpc.soap.message.InternalSOAPMessage;
import com.sun.xml.rpc.soap.message.SOAPBlockInfo;
import com.sun.xml.rpc.soap.streaming.SOAPNamespaceConstants;
import com.sun.xml.rpc.streaming.XMLReader;

public class Wbb_WebServiceSoap_Stub extends com.sun.xml.rpc.client.StubBase
		implements info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap {

	private static final String TG_WOERTERBUCH_WEBSERVICE_UNI_TRIER_GO = "http://tg-woerterbuch-webservice.uni-trier.de/Wbb_WebService/go"; //$NON-NLS-1$
	
	/*
	 * public constructor
	 */
	public Wbb_WebServiceSoap_Stub(HandlerChain handlerChain) {
		super(handlerChain);
		_setProperty(ENDPOINT_ADDRESS_PROPERTY,
				TG_WOERTERBUCH_WEBSERVICE_UNI_TRIER_GO);
	}

	/*
	 * implementation of wbb_LemmaSearch4_NEW_RCP2Xml
	 */
	@Override
	public java.lang.String wbb_LemmaSearch4_NEW_RCP2Xml(
			java.lang.String lemma, java.lang.String wbbList,
			java.lang.String suchArt, java.lang.String offset,
			java.lang.String limit) throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch4_NEW_RCP2xml_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct
					.setOffset(offset);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct
					.setLimit(limit);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch4_NEW_RCP2xml_wbb_LemmaSearch4_NEW_RCP2xml_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_LemmaSearch4_NEW_RCP2xml");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_getAllEtymRelations
	 */
	@Override
	public java.lang.String wbb_getAllEtymRelations()
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_getAllEtymRelations_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct _myWbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct();

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_getAllEtymRelations_wbb_getAllEtymRelations_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_getAllEtymRelations");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct _myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_LemmaSearch4_NEW_RCP2Xml_FirstLine
	 */
	@Override
	public java.lang.String wbb_LemmaSearch4_NEW_RCP2Xml_FirstLine(
			java.lang.String lemma, java.lang.String wbbList,
			java.lang.String suchArt, java.lang.String offset,
			java.lang.String limit) throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct
					.setOffset(offset);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct
					.setLimit(limit);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_LemmaSearch4_NEW_RCP2xml_FirstLine");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_LemmaSearch4Web
	 */
	@Override
	public java.lang.String wbb_LemmaSearch4Web(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String limit) throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch4Web_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct
					.setLimit(limit);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch4Web_wbb_LemmaSearch4Web_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_LemmaSearch4Web");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_getAllDictionarys
	 */
	@Override
	public java.lang.String wbb_getAllDictionarys(java.lang.String authID)
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_getAllDictionarys_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct _myWbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct();

			_myWbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct
					.setAuthID(authID);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_getAllDictionarys_wbb_getAllDictionarys_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_getAllDictionarys");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct _myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_LemmaSearch4_NEW_RCP2Xml_linking
	 */
	@Override
	public java.lang.String wbb_LemmaSearch4_NEW_RCP2Xml_linking(
			java.lang.String lemma, java.lang.String wbbList,
			java.lang.String suchArt, java.lang.String offset,
			java.lang.String limit) throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch4_NEW_RCP2xml_linking_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct
					.setOffset(offset);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct
					.setLimit(limit);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch4_NEW_RCP2xml_linking_wbb_LemmaSearch4_NEW_RCP2xml_linking_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_LemmaSearch4_NEW_RCP2xml_linking");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_setLink
	 */
	@Override
	public java.lang.String wbb_setLink(java.lang.String sourceID,
			java.lang.String sourcefolder, java.lang.String targetID,
			java.lang.String targetfolder, java.lang.String bName,
			java.lang.String quality, java.lang.String comment,
			java.lang.String semanticRelation, java.lang.String etymRelation,
			java.lang.String SID, java.lang.String approved,
			java.lang.String deleted, java.lang.String editable)
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_setLink_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct _myWbb_WebServiceSoap_wbb_setLink_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct();

			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct
					.setSourceID(sourceID);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct
					.setSourcefolder(sourcefolder);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct
					.setTargetID(targetID);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct
					.setTargetfolder(targetfolder);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct.setBName(bName);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct.setQuality(quality);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct.setComment(comment);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct
					.setSemanticRelation(semanticRelation);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct
					.setEtymRelation(etymRelation);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct.setSID(SID);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct
					.setApproved(approved);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct.setDeleted(deleted);
			_myWbb_WebServiceSoap_wbb_setLink_RequestStruct
					.setEditable(editable);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_setLink_wbb_setLink_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_setLink_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_setLink");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_ResponseStruct _myWbb_WebServiceSoap_wbb_setLink_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_setLink_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_setLink_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_setLink_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_LemmaSearch4_NEW_RCP2Xml_FirstLine_Ext
	 */
	@Override
	public java.lang.String wbb_LemmaSearch4_NEW_RCP2Xml_FirstLine_Ext(
			java.lang.String lemma, java.lang.String wbbList,
			java.lang.String suchArt, java.lang.String offset,
			java.lang.String limit, java.lang.String linking)
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct
					.setOffset(offset);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct
					.setLimit(limit);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct
					.setLinking(linking);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext()
					.setProperty(HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
							"Wbb_WebService:wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_LemmaSearch
	 */
	@Override
	public java.lang.String wbb_LemmaSearch(java.lang.String lemma)
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct.setLemma(lemma);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch_wbb_LemmaSearch_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_LemmaSearch");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_LemmaSearch4Web_lux
	 */
	@Override
	public java.lang.String wbb_LemmaSearch4Web_lux(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String limit) throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch4Web_lux_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct
					.setLimit(limit);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch4Web_lux_wbb_LemmaSearch4Web_lux_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_LemmaSearch4Web_lux");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_getAllSemanticRelations
	 */
	@Override
	public java.lang.String wbb_getAllSemanticRelations()
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_getAllSemanticRelations_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct _myWbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct();

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_getAllSemanticRelations_wbb_getAllSemanticRelations_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_getAllSemanticRelations");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct _myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_getLinking4_LinkEditor
	 */
	@Override
	public java.lang.String wbb_getLinking4_LinkEditor(java.lang.String lemma,
			java.lang.String lemmaID) throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_getLinking4_LinkEditor_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct _myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct();

			_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct
					.setLemmaID(lemmaID);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_getLinking4_LinkEditor_wbb_getLinking4_LinkEditor_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_getLinking4_LinkEditor");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct _myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of selectlemmatafromwbb_09
	 */
	@Override
	public java.lang.String selectlemmatafromwbb_09(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String offset, java.lang.String limit)
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(selectlemmatafromwbb_09_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct _myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct();

			_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct
					.setOffset(offset);
			_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct
					.setLimit(limit);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_selectlemmatafromwbb_09_selectlemmatafromwbb_09_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:selectlemmatafromwbb_09");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct _myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of selectlemmatafromwbb
	 */
	@Override
	public java.lang.String selectlemmatafromwbb(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String offset, java.lang.String limit)
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(selectlemmatafromwbb_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct _myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct();

			_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct
					.setOffset(offset);
			_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct
					.setLimit(limit);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_selectlemmatafromwbb_selectlemmatafromwbb_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:selectlemmatafromwbb");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct _myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_getLinks
	 */
	@Override
	public java.lang.String wbb_getLinks(java.lang.String sourceid)
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_getLinks_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_RequestStruct _myWbb_WebServiceSoap_wbb_getLinks_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_RequestStruct();

			_myWbb_WebServiceSoap_wbb_getLinks_RequestStruct
					.setSourceid(sourceid);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_getLinks_wbb_getLinks_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_getLinks_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_getLinks_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_getLinks");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_ResponseStruct _myWbb_WebServiceSoap_wbb_getLinks_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_getLinks_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_getLinks_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_getLinks_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_LemmaSearch2Xml
	 */
	@Override
	public java.lang.String wbb_LemmaSearch2Xml(java.lang.String lemma)
			throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch2xml_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct
					.setLemma(lemma);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch2xml_wbb_LemmaSearch2xml_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_LemmaSearch2xml");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * implementation of wbb_LemmaSearch4RCP2Xml
	 */
	@Override
	public java.lang.String wbb_LemmaSearch4RCP2Xml(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String limit) throws java.rmi.RemoteException {

		try {

			StreamingSenderState _state = _start(_handlerChain);

			InternalSOAPMessage _request = _state.getRequest();
			_request.setOperationCode(wbb_LemmaSearch4RCP2xml_OPCODE);
			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct();

			_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct
					.setLemma(lemma);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct
					.setWbbList(wbbList);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct
					.setSuchArt(suchArt);
			_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct
					.setLimit(limit);

			SOAPBlockInfo _bodyBlock = new SOAPBlockInfo(
					ns1_wbb_LemmaSearch4RCP2xml_wbb_LemmaSearch4RCP2xml_QNAME);
			_bodyBlock
					.setValue(_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct);
			_bodyBlock
					.setSerializer(ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct_SOAPSerializer);
			_request.setBody(_bodyBlock);

			_state.getMessageContext().setProperty(
					HttpClientTransport.HTTP_SOAPACTION_PROPERTY,
					"Wbb_WebService:wbb_LemmaSearch4RCP2xml");

			_send((java.lang.String) _getProperty(ENDPOINT_ADDRESS_PROPERTY),
					_state);

			info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct _myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct = null;
			Object _responseObj = _state.getResponse().getBody().getValue();
			if (_responseObj instanceof SOAPDeserializationState) {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct) ((SOAPDeserializationState) _responseObj)
						.getInstance();
			} else {
				_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct) _responseObj;
			}

			return _myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct
					.get_return();
		} catch (RemoteException e) {
			// let this one through unchanged
			throw e;
		} catch (JAXRPCException e) {
			throw new RemoteException(e.getMessage(), e);
		} catch (Exception e) {
			if (e instanceof RuntimeException) {
				throw (RuntimeException) e;
			} else {
				throw new RemoteException(e.getMessage(), e);
			}
		}
	}

	/*
	 * this method deserializes the request/response structure in the body
	 */
	@Override
	protected void _readFirstBodyElement(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		int opcode = state.getRequest().getOperationCode();
		switch (opcode) {
		case wbb_LemmaSearch4_NEW_RCP2xml_OPCODE:
			_deserialize_wbb_LemmaSearch4_NEW_RCP2xml(bodyReader,
					deserializationContext, state);
			break;
		case wbb_getAllEtymRelations_OPCODE:
			_deserialize_wbb_getAllEtymRelations(bodyReader,
					deserializationContext, state);
			break;
		case wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_OPCODE:
			_deserialize_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine(bodyReader,
					deserializationContext, state);
			break;
		case wbb_LemmaSearch4Web_OPCODE:
			_deserialize_wbb_LemmaSearch4Web(bodyReader,
					deserializationContext, state);
			break;
		case wbb_getAllDictionarys_OPCODE:
			_deserialize_wbb_getAllDictionarys(bodyReader,
					deserializationContext, state);
			break;
		case wbb_LemmaSearch4_NEW_RCP2xml_linking_OPCODE:
			_deserialize_wbb_LemmaSearch4_NEW_RCP2xml_linking(bodyReader,
					deserializationContext, state);
			break;
		case wbb_setLink_OPCODE:
			_deserialize_wbb_setLink(bodyReader, deserializationContext, state);
			break;
		case wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_OPCODE:
			_deserialize_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext(bodyReader,
					deserializationContext, state);
			break;
		case wbb_LemmaSearch_OPCODE:
			_deserialize_wbb_LemmaSearch(bodyReader, deserializationContext,
					state);
			break;
		case wbb_LemmaSearch4Web_lux_OPCODE:
			_deserialize_wbb_LemmaSearch4Web_lux(bodyReader,
					deserializationContext, state);
			break;
		case wbb_getAllSemanticRelations_OPCODE:
			_deserialize_wbb_getAllSemanticRelations(bodyReader,
					deserializationContext, state);
			break;
		case wbb_getLinking4_LinkEditor_OPCODE:
			_deserialize_wbb_getLinking4_LinkEditor(bodyReader,
					deserializationContext, state);
			break;
		case selectlemmatafromwbb_09_OPCODE:
			_deserialize_selectlemmatafromwbb_09(bodyReader,
					deserializationContext, state);
			break;
		case selectlemmatafromwbb_OPCODE:
			_deserialize_selectlemmatafromwbb(bodyReader,
					deserializationContext, state);
			break;
		case wbb_getLinks_OPCODE:
			_deserialize_wbb_getLinks(bodyReader, deserializationContext, state);
			break;
		case wbb_LemmaSearch2xml_OPCODE:
			_deserialize_wbb_LemmaSearch2xml(bodyReader,
					deserializationContext, state);
			break;
		case wbb_LemmaSearch4RCP2xml_OPCODE:
			_deserialize_wbb_LemmaSearch4RCP2xml(bodyReader,
					deserializationContext, state);
			break;
		default:
			throw new SenderException("sender.response.unrecognizedOperation",
					java.lang.Integer.toString(opcode));
		}
	}

	/*
	 * This method deserializes the body of the wbb_LemmaSearch4_NEW_RCP2xml
	 * operation.
	 */
	private void _deserialize_wbb_LemmaSearch4_NEW_RCP2xml(
			XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_wbb_LemmaSearch4_NEW_RCP2xmlResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch4_NEW_RCP2xml_wbb_LemmaSearch4_NEW_RCP2xmlResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_getAllEtymRelations
	 * operation.
	 */
	private void _deserialize_wbb_getAllEtymRelations(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_getAllEtymRelations_wbb_getAllEtymRelationsResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_getAllEtymRelations_wbb_getAllEtymRelationsResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the
	 * wbb_LemmaSearch4_NEW_RCP2xml_FirstLine operation.
	 */
	private void _deserialize_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine(
			XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_wbb_LemmaSearch4_NEW_RCP2xml_FirstLineResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_wbb_LemmaSearch4_NEW_RCP2xml_FirstLineResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_LemmaSearch4Web operation.
	 */
	private void _deserialize_wbb_LemmaSearch4Web(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_LemmaSearch4Web_wbb_LemmaSearch4WebResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch4Web_wbb_LemmaSearch4WebResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_getAllDictionarys operation.
	 */
	private void _deserialize_wbb_getAllDictionarys(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_getAllDictionarys_wbb_getAllDictionarysResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_getAllDictionarys_wbb_getAllDictionarysResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the
	 * wbb_LemmaSearch4_NEW_RCP2xml_linking operation.
	 */
	private void _deserialize_wbb_LemmaSearch4_NEW_RCP2xml_linking(
			XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_linking_wbb_LemmaSearch4_NEW_RCP2xml_linkingResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch4_NEW_RCP2xml_linking_wbb_LemmaSearch4_NEW_RCP2xml_linkingResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_setLink operation.
	 */
	private void _deserialize_wbb_setLink(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_setLink_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_setLink_ResponseStruct_SOAPSerializer
				.deserialize(ns1_wbb_setLink_wbb_setLinkResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_setLink_wbb_setLinkResponse_QNAME);
		bodyBlock.setValue(myWbb_WebServiceSoap_wbb_setLink_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the
	 * wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext operation.
	 */
	private void _deserialize_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext(
			XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ExtResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ExtResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_LemmaSearch operation.
	 */
	private void _deserialize_wbb_LemmaSearch(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct_SOAPSerializer
				.deserialize(ns1_wbb_LemmaSearch_wbb_LemmaSearchResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch_wbb_LemmaSearchResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_LemmaSearch4Web_lux
	 * operation.
	 */
	private void _deserialize_wbb_LemmaSearch4Web_lux(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_LemmaSearch4Web_lux_wbb_LemmaSearch4Web_luxResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch4Web_lux_wbb_LemmaSearch4Web_luxResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_getAllSemanticRelations
	 * operation.
	 */
	private void _deserialize_wbb_getAllSemanticRelations(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_getAllSemanticRelations_wbb_getAllSemanticRelationsResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_getAllSemanticRelations_wbb_getAllSemanticRelationsResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_getLinking4_LinkEditor
	 * operation.
	 */
	private void _deserialize_wbb_getLinking4_LinkEditor(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_getLinking4_LinkEditor_wbb_getLinking4_LinkEditorResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_getLinking4_LinkEditor_wbb_getLinking4_LinkEditorResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the selectlemmatafromwbb_09
	 * operation.
	 */
	private void _deserialize_selectlemmatafromwbb_09(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStructObj = ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_selectlemmatafromwbb_09_selectlemmatafromwbb_09Response_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_selectlemmatafromwbb_09_selectlemmatafromwbb_09Response_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the selectlemmatafromwbb operation.
	 */
	private void _deserialize_selectlemmatafromwbb(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStructObj = ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_selectlemmatafromwbb_selectlemmatafromwbbResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_selectlemmatafromwbb_selectlemmatafromwbbResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_getLinks operation.
	 */
	private void _deserialize_wbb_getLinks(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_getLinks_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_getLinks_ResponseStruct_SOAPSerializer
				.deserialize(ns1_wbb_getLinks_wbb_getLinksResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_getLinks_wbb_getLinksResponse_QNAME);
		bodyBlock.setValue(myWbb_WebServiceSoap_wbb_getLinks_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_LemmaSearch2xml operation.
	 */
	private void _deserialize_wbb_LemmaSearch2xml(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_LemmaSearch2xml_wbb_LemmaSearch2xmlResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch2xml_wbb_LemmaSearch2xmlResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	/*
	 * This method deserializes the body of the wbb_LemmaSearch4RCP2xml
	 * operation.
	 */
	private void _deserialize_wbb_LemmaSearch4RCP2xml(XMLReader bodyReader,
			SOAPDeserializationContext deserializationContext,
			StreamingSenderState state) throws Exception {
		java.lang.Object myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStructObj = ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct_SOAPSerializer
				.deserialize(
						ns1_wbb_LemmaSearch4RCP2xml_wbb_LemmaSearch4RCP2xmlResponse_QNAME,
						bodyReader, deserializationContext);

		SOAPBlockInfo bodyBlock = new SOAPBlockInfo(
				ns1_wbb_LemmaSearch4RCP2xml_wbb_LemmaSearch4RCP2xmlResponse_QNAME);
		bodyBlock
				.setValue(myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStructObj);
		state.getResponse().setBody(bodyBlock);
	}

	@Override
	public java.lang.String _getDefaultEnvelopeEncodingStyle() {
		return SOAPNamespaceConstants.ENCODING;
	}

	@Override
	public java.lang.String _getImplicitEnvelopeEncodingStyle() {
		return "";
	}

	public java.lang.String _getEncodingStyle() {
		return SOAPNamespaceConstants.ENCODING;
	}

	public void _setEncodingStyle(java.lang.String encodingStyle) {
		throw new UnsupportedOperationException("cannot set encoding style");
	}

	/*
	 * This method returns an array containing (prefix, nsURI) pairs.
	 */
	@Override
	protected java.lang.String[] _getNamespaceDeclarations() {
		return myNamespace_declarations;
	}

	/*
	 * This method returns an array containing the names of the headers we
	 * understand.
	 */
	@Override
	public javax.xml.namespace.QName[] _getUnderstoodHeaders() {
		return understoodHeaderNames;
	}

	@Override
	public void _initialize(InternalTypeMappingRegistry registry)
			throws Exception {
		super._initialize(registry);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct.class,
						ns1_wbb_LemmaSearch4WebResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct.class,
						ns1_wbb_LemmaSearch4RCP2xmlResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_setLink_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_ResponseStruct.class,
						ns1_wbb_setLinkResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct.class,
						ns1_wbb_getAllEtymRelations_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct.class,
						ns1_wbb_getAllDictionarysResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct.class,
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct.class,
						ns1_wbb_getAllSemanticRelations_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct.class,
						ns1_wbb_LemmaSearch4Web_lux_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct.class,
						ns1_wbb_getAllDictionarys_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct.class,
						ns1_wbb_LemmaSearch2xml_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct.class,
						ns1_wbb_LemmaSearch4_NEW_RCP2xmlResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct.class,
						ns1_selectlemmatafromwbb_09Response_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct.class,
						ns1_wbb_LemmaSearchResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct.class,
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct.class,
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ExtResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct.class,
						ns1_wbb_LemmaSearch4Web_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct.class,
						ns1_wbb_getAllSemanticRelationsResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct.class,
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLineResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct.class,
						ns1_wbb_LemmaSearch4Web_luxResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct.class,
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_linking_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct.class,
						ns1_wbb_setLink_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct.class,
						ns1_wbb_LemmaSearch4RCP2xml_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct.class,
						ns1_wbb_LemmaSearch2xmlResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct.class,
						ns1_wbb_LemmaSearch_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct.class,
						ns1_selectlemmatafromwbbResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getLinks_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_ResponseStruct.class,
						ns1_wbb_getLinksResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct.class,
						ns1_wbb_getLinking4_LinkEditorResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct.class,
						ns1_selectlemmatafromwbb_09_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct.class,
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_linkingResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct.class,
						ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct.class,
						ns1_wbb_getAllEtymRelationsResponse_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct.class,
						ns1_selectlemmatafromwbb_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct.class,
						ns1_wbb_getLinking4_LinkEditor_TYPE_QNAME);
		ns1_myWbb_WebServiceSoap_wbb_getLinks_RequestStruct_SOAPSerializer = (CombinedSerializer) registry
				.getSerializer(
						com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_RequestStruct.class,
						ns1_wbb_getLinks_TYPE_QNAME);
	}

	private static final javax.xml.namespace.QName _portName = new QName(
			TG_WOERTERBUCH_WEBSERVICE_UNI_TRIER_GO,
			"Wbb_WebServiceSoap");
	private static final int wbb_LemmaSearch4_NEW_RCP2xml_OPCODE = 0;
	private static final int wbb_getAllEtymRelations_OPCODE = 1;
	private static final int wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_OPCODE = 2;
	private static final int wbb_LemmaSearch4Web_OPCODE = 3;
	private static final int wbb_getAllDictionarys_OPCODE = 4;
	private static final int wbb_LemmaSearch4_NEW_RCP2xml_linking_OPCODE = 5;
	private static final int wbb_setLink_OPCODE = 6;
	private static final int wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_OPCODE = 7;
	private static final int wbb_LemmaSearch_OPCODE = 8;
	private static final int wbb_LemmaSearch4Web_lux_OPCODE = 9;
	private static final int wbb_getAllSemanticRelations_OPCODE = 10;
	private static final int wbb_getLinking4_LinkEditor_OPCODE = 11;
	private static final int selectlemmatafromwbb_09_OPCODE = 12;
	private static final int selectlemmatafromwbb_OPCODE = 13;
	private static final int wbb_getLinks_OPCODE = 14;
	private static final int wbb_LemmaSearch2xml_OPCODE = 15;
	private static final int wbb_LemmaSearch4RCP2xml_OPCODE = 16;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_wbb_LemmaSearch4_NEW_RCP2xml_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_wbb_LemmaSearch4_NEW_RCP2xmlResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xmlResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xmlResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xmlResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getAllEtymRelations_wbb_getAllEtymRelations_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllEtymRelations");
	private static final javax.xml.namespace.QName ns1_wbb_getAllEtymRelations_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllEtymRelations");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getAllEtymRelations_wbb_getAllEtymRelationsResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllEtymRelationsResponse");
	private static final javax.xml.namespace.QName ns1_wbb_getAllEtymRelationsResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllEtymRelationsResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_FirstLine");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_FirstLine");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_wbb_LemmaSearch4_NEW_RCP2xml_FirstLineResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_FirstLineResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLineResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_FirstLineResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4Web_wbb_LemmaSearch4Web_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4Web");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4Web_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4Web");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4Web_wbb_LemmaSearch4WebResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4WebResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4WebResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4WebResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getAllDictionarys_wbb_getAllDictionarys_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllDictionarys");
	private static final javax.xml.namespace.QName ns1_wbb_getAllDictionarys_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllDictionarys");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getAllDictionarys_wbb_getAllDictionarysResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllDictionarysResponse");
	private static final javax.xml.namespace.QName ns1_wbb_getAllDictionarysResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllDictionarysResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_linking_wbb_LemmaSearch4_NEW_RCP2xml_linking_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_linking");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_linking_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_linking");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_linking_wbb_LemmaSearch4_NEW_RCP2xml_linkingResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_linkingResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_linkingResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_linkingResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_setLink_wbb_setLink_QNAME = new QName(
			"Wbb_WebService", "wbb_setLink");
	private static final javax.xml.namespace.QName ns1_wbb_setLink_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_setLink");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_setLink_wbb_setLinkResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_setLinkResponse");
	private static final javax.xml.namespace.QName ns1_wbb_setLinkResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_setLinkResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_setLink_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ExtResponse_QNAME = new QName(
			"Wbb_WebService",
			"wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ExtResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ExtResponse_TYPE_QNAME = new QName(
			"Wbb_WebService",
			"wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ExtResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch_wbb_LemmaSearch_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch_wbb_LemmaSearchResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearchResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearchResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearchResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4Web_lux_wbb_LemmaSearch4Web_lux_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4Web_lux");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4Web_lux_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4Web_lux");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4Web_lux_wbb_LemmaSearch4Web_luxResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4Web_luxResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4Web_luxResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4Web_luxResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getAllSemanticRelations_wbb_getAllSemanticRelations_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllSemanticRelations");
	private static final javax.xml.namespace.QName ns1_wbb_getAllSemanticRelations_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllSemanticRelations");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getAllSemanticRelations_wbb_getAllSemanticRelationsResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllSemanticRelationsResponse");
	private static final javax.xml.namespace.QName ns1_wbb_getAllSemanticRelationsResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getAllSemanticRelationsResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getLinking4_LinkEditor_wbb_getLinking4_LinkEditor_QNAME = new QName(
			"Wbb_WebService", "wbb_getLinking4_LinkEditor");
	private static final javax.xml.namespace.QName ns1_wbb_getLinking4_LinkEditor_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getLinking4_LinkEditor");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getLinking4_LinkEditor_wbb_getLinking4_LinkEditorResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_getLinking4_LinkEditorResponse");
	private static final javax.xml.namespace.QName ns1_wbb_getLinking4_LinkEditorResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getLinking4_LinkEditorResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_selectlemmatafromwbb_09_selectlemmatafromwbb_09_QNAME = new QName(
			"Wbb_WebService", "selectlemmatafromwbb_09");
	private static final javax.xml.namespace.QName ns1_selectlemmatafromwbb_09_TYPE_QNAME = new QName(
			"Wbb_WebService", "selectlemmatafromwbb_09");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_selectlemmatafromwbb_09_selectlemmatafromwbb_09Response_QNAME = new QName(
			"Wbb_WebService", "selectlemmatafromwbb_09Response");
	private static final javax.xml.namespace.QName ns1_selectlemmatafromwbb_09Response_TYPE_QNAME = new QName(
			"Wbb_WebService", "selectlemmatafromwbb_09Response");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_selectlemmatafromwbb_selectlemmatafromwbb_QNAME = new QName(
			"Wbb_WebService", "selectlemmatafromwbb");
	private static final javax.xml.namespace.QName ns1_selectlemmatafromwbb_TYPE_QNAME = new QName(
			"Wbb_WebService", "selectlemmatafromwbb");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_selectlemmatafromwbb_selectlemmatafromwbbResponse_QNAME = new QName(
			"Wbb_WebService", "selectlemmatafromwbbResponse");
	private static final javax.xml.namespace.QName ns1_selectlemmatafromwbbResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "selectlemmatafromwbbResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getLinks_wbb_getLinks_QNAME = new QName(
			"Wbb_WebService", "wbb_getLinks");
	private static final javax.xml.namespace.QName ns1_wbb_getLinks_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getLinks");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getLinks_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_getLinks_wbb_getLinksResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_getLinksResponse");
	private static final javax.xml.namespace.QName ns1_wbb_getLinksResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_getLinksResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_getLinks_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch2xml_wbb_LemmaSearch2xml_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch2xml");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch2xml_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch2xml");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch2xml_wbb_LemmaSearch2xmlResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch2xmlResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch2xmlResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch2xmlResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4RCP2xml_wbb_LemmaSearch4RCP2xml_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4RCP2xml");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4RCP2xml_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4RCP2xml");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct_SOAPSerializer;
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4RCP2xml_wbb_LemmaSearch4RCP2xmlResponse_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4RCP2xmlResponse");
	private static final javax.xml.namespace.QName ns1_wbb_LemmaSearch4RCP2xmlResponse_TYPE_QNAME = new QName(
			"Wbb_WebService", "wbb_LemmaSearch4RCP2xmlResponse");
	private CombinedSerializer ns1_myWbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct_SOAPSerializer;
	private static final java.lang.String[] myNamespace_declarations = new java.lang.String[] {
			"ns0", "Wbb_WebService" };

	private static final QName[] understoodHeaderNames = new QName[] {};
}
